#include "cdll.h"

DLLIMPORT int 
dll_int_square (int i)
{
  return i * i;
}

DLLIMPORT double 
dll_double_square (double d)
{
  return d * d;

}

DLLIMPORT float 
dll_float_square (float f)
{
  return f * f;
}

#if BUILDING_DLL && defined(DECLSPEC_NOT_SUPPORTED)
# undef dll_global_int_var
#endif

DLLIMPORT int 
dll_global_int_var = 99;

DLLIMPORT void
dll_set_global_int_var (int new_value)
{
  dll_global_int_var = new_value;
}

DLLIMPORT int 
dll_get_global_int_var ()
{
  return dll_global_int_var;
}

